//
//  AppController.m
//  CMQCBackdrop
//
//  Created by Christopher Wright on 4/23/08.
//  Copyright 2008 Christopher Wright. All rights reserved.
//

#import "AppController.h"
#import <OpenGL/CGLMacro.h>

@implementation AppController

- (void) applicationWillFinishLaunching:(NSNotification*)notification
{
	NSScreen *screen = [[NSScreen screens] lastObject];  
	NSRect winFrame = [screen frame];

    
	[visWindow setFrame: winFrame display: YES animate: NO];
	[visWindow setLevel: NSScreenSaverWindowLevel];
/*
    // Capture the main display
    if (CGDisplayCapture( kCGDirectMainDisplay ) != kCGErrorSuccess) {
        NSLog( @"Couldn't capture the main display!" );
        // Note: you'll probably want to display a proper error dialog here
    }
    
    int windowLevel = CGShieldingWindowLevel();
	[visWindow setLevel: windowLevel];
*/
	[visView loadCompositionFromFile:
	 [[NSBundle mainBundle] pathForResource:@"myCompo" ofType:@"qtz"]];
	[visView startRendering];
	
    NSLog(@"visView Bounds: %@", NSStringFromRect([visView bounds]));
    NSLog(@"visView Frame: %@", NSStringFromRect([visView frame]));
 
	// hide the cursor
	//CGDisplayHideCursor (kCGDirectMainDisplay);
    
    
}

@end
